## lua-zlib 0.2

=== CMakeLists.txt ===
# Copyright (C) 2007-2009 LuaDist.
# Submitted by David Manura
# Redistribution and use of this file is allowed according to the
# terms of the MIT license.
# For details see the COPYRIGHT file distributed with LuaDist.
# Please note that the package source code is licensed under its own
# license.

PROJECT(lua-zlib C)
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

# Basic configurations
  SET(INSTALL_CMOD share/lua/cmod CACHE PATH "Directory to install Lua binary modules (configure lua via LUA_CPATH)")
# / configs

# Find zlib
  FIND_PACKAGE(ZLIB REQUIRED)
# / Find zlib

# Find lua
  FIND_PACKAGE(Lua51 REQUIRED)
# / Find lua

# Define how to build zlib.so:
  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS} ${LUA_INCLUDE_DIR})
  ADD_LIBRARY(cmod_zlib MODULE
    lua_zlib.c zlib.def)
  SET_TARGET_PROPERTIES(cmod_zlib PROPERTIES PREFIX "")
  SET_TARGET_PROPERTIES(cmod_zlib PROPERTIES OUTPUT_NAME zlib)
  TARGET_LINK_LIBRARIES(cmod_zlib ${LUA_LIBRARIES} ${ZLIB_LIBRARIES})  
# / build zlib.so

# Define how to test zlib.so:
  INCLUDE(CTest)
  FIND_PROGRAM(LUA NAMES lua lua.bat)
  ADD_TEST(basic ${LUA} ${CMAKE_CURRENT_SOURCE_DIR}/test.lua ${CMAKE_CURRENT_SOURCE_DIR}/ ${CMAKE_CURRENT_BINARY_DIR}/)
  SET_TESTS_PROPERTIES(basic
                       PROPERTIES
                       FAIL_REGULAR_EXPRESSION
                       "not ok")
# / test zlib.so

# Where to install stuff
  INSTALL (TARGETS cmod_zlib DESTINATION ${INSTALL_CMOD})
# / Where to install.

=== debian/changelog ===
lua-zlib (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #668057)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 08 Apr 2012 18:17:16 +0200

=== debian/control ===
Source: lua-zlib
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua, zlib1g-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-zlib
Vcs-Browser: http://svn.debian.org/wsvn/pkg-lua/packages/lua-zlib/
Homepage: http://github.com/brimworks/lua-zlib

Package: lua-zlib
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: zlib library for the Lua language
 This package contains the Lua zlib library, that allows one to read
 compressed files from the Lua language.

Package: lua-zlib-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: lua-zlib (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: zlib development files for the Lua language
 This package contains the development files of the Lua zlib library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

## lua-zlib 0.2+gitcfa1ecd

=== debian/changelog ===
lua-zlib (0.2+gitcfa1ecd-1) unstable; urgency=low

  * New snapshot supporting lua5.2 
  * Remove lua5.2 path, merged upstream
  * Package moved to git
  * Patch fixing upstream bug if no string is given to deflate
  * Patch making the test file lua5.2 compatible 
  * Fix copyright naming the license Expat and not MIT/X 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 08 Apr 2012 18:34:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8), dh-lua, zlib1g-dev
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-zlib
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-lua/packages/lua-zlib/
 Homepage: http://github.com/brimworks/lua-zlib
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-zlib.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-zlib.git
 
 Package: lua-zlib
 Architecture: any

## lua-zlib 0.2+git+1+9622739

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,25 @@
 PROJECT(lua-zlib C)
 CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
 
+option(USE_LUA "Use Lua (also called 'C' Lua) version 5.1 includes (default)" ON)
+option(USE_LUAJIT "Use LuaJIT includes instead of 'C' Lua ones (recommended, if you're using LuaJIT, but disabled by default)")
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
+
+if(USE_LUAJIT)
+# Find luajit
+        find_package(LuaJIT REQUIRED)
+        set(USE_LUA OFF)
+# / Find lua
+endif()
+
+if(USE_LUA)
+# Find lua
+        find_package(Lua51 REQUIRED)
+# / Find lua
+endif()
+
+
 # Basic configurations
   SET(INSTALL_CMOD share/lua/cmod CACHE PATH "Directory to install Lua binary modules (configure lua via LUA_CPATH)")
 # / configs
@@ -17,22 +36,18 @@
   FIND_PACKAGE(ZLIB REQUIRED)
 # / Find zlib
 
-# Find lua
-  FIND_PACKAGE(Lua51 REQUIRED)
-# / Find lua
-
 # Define how to build zlib.so:
   INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS} ${LUA_INCLUDE_DIR})
   ADD_LIBRARY(cmod_zlib MODULE
     lua_zlib.c zlib.def)
   SET_TARGET_PROPERTIES(cmod_zlib PROPERTIES PREFIX "")
   SET_TARGET_PROPERTIES(cmod_zlib PROPERTIES OUTPUT_NAME zlib)
-  TARGET_LINK_LIBRARIES(cmod_zlib ${LUA_LIBRARIES} ${ZLIB_LIBRARIES})  
+  TARGET_LINK_LIBRARIES(cmod_zlib ${ZLIB_LIBRARIES})
 # / build zlib.so
 
 # Define how to test zlib.so:
   INCLUDE(CTest)
-  FIND_PROGRAM(LUA NAMES lua lua.bat)
+  FIND_PROGRAM(LUA NAMES lua luajit lua.bat)
   ADD_TEST(basic ${LUA} ${CMAKE_CURRENT_SOURCE_DIR}/test.lua ${CMAKE_CURRENT_SOURCE_DIR}/ ${CMAKE_CURRENT_BINARY_DIR}/)
   SET_TESTS_PROPERTIES(basic
                        PROPERTIES

=== Makefile ===
# This Makefile is based on LuaSec's Makefile. Thanks to the LuaSec developers.
# Inform the location to intall the modules
LUAPATH  = /usr/share/lua/5.1
LUACPATH = /usr/lib/lua/5.1
INCDIR   = -I/usr/include/lua5.1
LIBDIR   = -L/usr/lib

# For Mac OS X: set the system version
MACOSX_VERSION = 10.4

CMOD = zlib.so
OBJS = lua_zlib.o

LIBS = -lz -llua -lm
WARN = -Wall -pedantic

BSD_CFLAGS  = -O2 -fPIC $(WARN) $(INCDIR) $(DEFS)
BSD_LDFLAGS = -O -shared -fPIC $(LIBDIR)

LNX_CFLAGS  = -O2 -fPIC $(WARN) $(INCDIR) $(DEFS)
LNX_LDFLAGS = -O -shared -fPIC $(LIBDIR)

MAC_ENV     = env MACOSX_DEPLOYMENT_TARGET='$(MACVER)'
MAC_CFLAGS  = -O2 -fPIC -fno-common $(WARN) $(INCDIR) $(DEFS)
MAC_LDFLAGS = -bundle -undefined dynamic_lookup -fPIC $(LIBDIR)

CC = gcc
LD = $(MYENV) gcc
CFLAGS  = $(MYCFLAGS)
LDFLAGS = $(MYLDFLAGS)

.PHONY: all clean install none linux bsd macosx

all:
	@echo "Usage: $(MAKE) <platform>"
	@echo "  * linux"
	@echo "  * bsd"
	@echo "  * macosx"

install: $(CMOD)
	cp $(CMOD) $(LUACPATH)

uninstall:
	rm $(LUACPATH)/zlib.so

linux:
	@$(MAKE) $(CMOD) MYCFLAGS="$(LNX_CFLAGS)" MYLDFLAGS="$(LNX_LDFLAGS)" INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)"

bsd:
	@$(MAKE) $(CMOD) MYCFLAGS="$(BSD_CFLAGS)" MYLDFLAGS="$(BSD_LDFLAGS)" INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)"

macosx:
	@$(MAKE) $(CMOD) MYCFLAGS="$(MAC_CFLAGS)" MYLDFLAGS="$(MAC_LDFLAGS)" MYENV="$(MAC_ENV)" INCDIR="$(INCDIR)" LIBDIR="$(LIBDIR)" DEFS="$(DEFS)"

clean:
	rm -f $(OBJS) $(CMOD)

.c.o:
	$(CC) -c $(CFLAGS) $(DEFS) $(INCDIR) -o $@ $<

$(CMOD): $(OBJS)
	$(LD) $(LDFLAGS) $(LIBDIR) $(OBJS) $(LIBS) -o $@

=== debian/changelog ===
lua-zlib (0.2+git+1+9622739-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870557).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 22:12:35 +0100

lua-zlib (0.2+git+1+9622739-2) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723493)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:50 +0200

lua-zlib (0.2+git+1+9622739-1) unstable; urgency=low

  * add Privides: ${lua:Provides} to control 
  * new upstream snapshot integrating debian patches:
    - 0001-Fix-avail_in-value-for-lz.deflate.patch
    - 0002-Lua5.2-require-does-not-set-a-global.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 23 Aug 2013 22:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
 Package: lua-zlib
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: zlib library for the Lua language
  This package contains the Lua zlib library, that allows one to read
@@ -21,9 +22,10 @@
 Package: lua-zlib-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: lua-zlib (= ${binary:Version}), ${misc:Depends}
+Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: zlib development files for the Lua language
  This package contains the development files of the Lua zlib library,

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zlib
#
version=3
http://githubredir.debian.net/github/brimworks/lua-zlib/ v([\d\.]+).tar.gz

## lua-zlib 1.2

=== debian/changelog ===
lua-zlib (1.2-2) unstable; urgency=medium

  * Add Lua 5.4 to the list of versions to build the package.
  * Switch build dependency on debhelper to the debhelper-compat virtual
    package.
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 08 Jul 2020 09:37:03 +0300

lua-zlib (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Ignore the .gitattributes file from the upstream tarball because it breaks
    git-buildpackage.
  * Acknowledge the NMU by Aurelien Jarno.
  * Add Lua 5.3 to the list of versions to build the package.
  * Fix the debian/watch uscan control file.
  * Add myself to the uploaders list.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.4.0.
  * Fix the VCS headers in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2019 14:42:55 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8), dh-lua, zlib1g-dev
-Standards-Version: 3.9.3
+Uploaders: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: debhelper-compat (= 12), dh-lua, zlib1g-dev
+Standards-Version: 4.5.0
 Homepage: http://github.com/brimworks/lua-zlib
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-zlib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-zlib.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-zlib.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-zlib
 
 Package: lua-zlib
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector dh $@ --buildsystem=lua --with lua

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zlib
#
version=3
https://github.com/brimworks/lua-zlib/releases /brimworks/lua-zlib/archive/v([.\d]+).tar.gz

## lua-zlib 1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,9 @@
 PROJECT(lua-zlib C)
 CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
 
-option(USE_LUA "Use Lua (also called 'C' Lua) version 5.1 includes (default)" ON)
+option(USE_LUA "Use Lua (also called 'C' Lua) includes (default)" ON)
 option(USE_LUAJIT "Use LuaJIT includes instead of 'C' Lua ones (recommended, if you're using LuaJIT, but disabled by default)")
+set(USE_LUA_VERSION 5.1 CACHE STRING "Set the Lua version to use (default: 5.1)")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
@@ -23,7 +24,7 @@
 
 if(USE_LUA)
 # Find lua
-        find_package(Lua51 REQUIRED)
+        find_package(Lua ${USE_LUA_VERSION} EXACT REQUIRED)
 # / Find lua
 endif()
 
@@ -47,7 +48,8 @@
 
 # Define how to test zlib.so:
   INCLUDE(CTest)
-  FIND_PROGRAM(LUA NAMES lua luajit lua.bat)
+  SET(LUA_BIN "lua${LUA_VERSION_MAJOR}.${LUA_VERSION_MINOR}")
+  FIND_PROGRAM(LUA NAMES ${LUA_BIN} lua luajit lua.bat)
   ADD_TEST(basic ${LUA} ${CMAKE_CURRENT_SOURCE_DIR}/test.lua ${CMAKE_CURRENT_SOURCE_DIR}/ ${CMAKE_CURRENT_BINARY_DIR}/)
   SET_TESTS_PROPERTIES(basic
                        PROPERTIES

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # This Makefile is based on LuaSec's Makefile. Thanks to the LuaSec developers.
-# Inform the location to intall the modules
-LUAPATH  = /usr/share/lua/5.1
-LUACPATH = /usr/lib/lua/5.1
-INCDIR   = -I/usr/include/lua5.1
-LIBDIR   = -L/usr/lib
+# Inform the location to install the modules
+LUAPATH  ?= /usr/share/lua/5.1
+LUACPATH ?= /usr/lib/lua/5.1
+INCDIR   ?= -I/usr/include/lua5.1
+LIBDIR   ?= -L/usr/lib
 
 # For Mac OS X: set the system version
 MACOSX_VERSION = 10.4

=== debian/changelog ===
lua-zlib (1.3-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 19:30:06 +0200

lua-zlib (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary patches.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Apr 2025 17:37:50 +0300

lua-zlib (1.2-4) unstable; urgency=medium

  * Fix the test which checks version of loaded zlib (Closes: #1058504).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 13 Dec 2023 15:20:10 +0300

lua-zlib (1.2-3) unstable; urgency=medium

  * Team-maintain the package (Closes: #995537).
  * Fix the debian/watch uscan control file.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Jan 2023 16:07:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lua-zlib
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-lua, zlib1g-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-lua, zlib1g-dev
+Standards-Version: 4.7.2
 Homepage: http://github.com/brimworks/lua-zlib
 Vcs-Git: https://salsa.debian.org/lua-team/lua-zlib.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-zlib

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zlib
#
version=3
https://github.com/brimworks/lua-zlib/tags /brimworks/lua-zlib/archive/refs/tags/v([.\d]+).tar.gz

## lua-zlib 1.4

=== debian/changelog ===
lua-zlib (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump version in the debian/watch uscan control file to 4.
  * Bump the standards version to 4.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 10 Jan 2026 19:09:37 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-lua, zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://github.com/brimworks/lua-zlib
 Vcs-Git: https://salsa.debian.org/lua-team/lua-zlib.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-zlib

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zlib
#
version=4
https://github.com/brimworks/lua-zlib/tags /brimworks/lua-zlib/archive/refs/tags/v([.\d]+).tar.gz
